End Point Software Package Repositories

Prerequisites

Update your system with yum upgrade and reboot before adding our repository to Yum!

Supported distributions

RHEL/CentOS 8

To add the End Point Yum repository to your Yum configuration:

# dnf install https://packages.endpoint.com/rhel/8/main/x86_64/endpoint-repo-8-1.ep8.noarch.rpm

Browse the packages at: x86_64, SRPMS

The first time you install a package from the repository you will be asked to confirm the signing key. It should match this:

Importing GPG key 0x4D996065:
 Userid     : "End Point Corporation (RPM Signing Key) "
 Fingerprint: 285D 4CF2 8A37 74D8 F63C 3C1C AC6E 17F4 4D99 6065
 From       : /etc/pki/rpm-gpg/RPM-GPG-KEY-endpoint-8
Is this ok [y/N]:

If it does, type Y and press enter to accept it. Otherwise packages won't install.

You can load and verify the signing key ahead of time with:

# cd /tmp
# wget https://packages.endpoint.com/endpoint-rpmsign-8.pub
# rpm --import endpoint-rpmsign-8.pub
# rpm -qi gpg-pubkey-4d996065 | gpg --show-keys --with-fingerprint
pub   rsa4096 2021-01-22 [SC]
      285D 4CF2 8A37 74D8 F63C  3C1C AC6E 17F4 4D99 6065
uid                      End Point Corporation (RPM Signing Key) 
sub   rsa4096 2021-01-22 [E]

RHEL/CentOS 7

Before installing the repository package itself, or any packages from the repository, verify and import the signing key:

# cd /tmp
# wget https://packages.endpoint.com/endpoint-rpmsign-7.pub
# rpm --import endpoint-rpmsign-7.pub
# rpm -qi gpg-pubkey-703df089 | gpg --with-fingerprint
pub  4096R/703DF089 2015-09-15 End Point RPM (RPM Signing Key) 
      Key fingerprint = A20D 08E4 1D1D 04A0 4D12  CD03 D027 780B 703D F089
sub  4096R/94634F0C 2015-09-15

To add the End Point Yum repository to your Yum configuration:

# yum install https://packages.endpoint.com/rhel/7/os/x86_64/endpoint-repo-1.9-1.x86_64.rpm

Browse the packages at: x86_64, SRPMS

Discontinued distributions

RHEL/CentOS 6

RHEL/CentOS 5

For backport repositories, install the associated repository RPM in addition to the base repository RPM.

You may receive this message working with this repository:

https://packages.endpoint.com/rhel/5/os/<hash>-primary.sqlite.bz2: [Errno -3] Error performing checksum
Trying other mirror.

Yum needs the python-hashlib package to compute the SHA256 checksum being used in more recent builds of the repository. This is available in EPEL and elsewhere.

RHEL 4

Clearing the Yum cache

After you've started using the repository, you may need to clear your local Yum cache to access the most recently-built packages.

On RHEL:

# yum --disableplugin=rhnplugin clean all

On CentOS:

# yum clean all

Use at your own risk!

The packages available in these repositories may override packages provided by your chosen distribution. As usual, the packages are provided without any warranty. Feel free to contact us at End Point Corporation if you need help.

Security reports

Please send reports of security problems to us at security@endpoint.com. You may use PGP/GnuPG to encrypt sensitive information to our security team's public key ID D0F20333.